<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>hook-webp-image demo</title>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html">
    <link rel="import" href="../../iron-demo-helpers/demo-snippet.html">
    <link rel="import" href="../hook-webp-image.html">

    <custom-style>
      <style is="custom-style" include="demo-pages-shared-styles">
      </style>
    </custom-style>
  </head>
  <body>
    <div class="vertical-section-container centered">
      <h3>Basic hook-webp-image demo</h3>
      <demo-snippet>
        <template>
          <style>
            .map {
              width: 100%;
            }
          </style>
          <hook-webp-image class="map" debug src="./hero.webp"></hook-webp-image>
        </template>
      </demo-snippet>
    </div>
    <div class="vertical-section-container centered">
      <h3>Animated hook-webp-image demo</h3>
      <demo-snippet>
        <template>
          <hook-webp-image debug src="./animation.webp"></hook-webp-image>
        </template>
      </demo-snippet>
    </div>
  </body>
</html>
